------------------------------------------------------------------------------------
--Name：  220623[简体征服][活动脚本]全球七夕活动
--Creator:      黄洪文
--Created:     2022-07-01
------------------------------------------------------------------------------------
-- 恶毒之蛇
--/callluafunc </F>User_PlayPlot</N>294
--/reloadlua Script/QiXi/2022/QiXiMemory3.lua
--/chgmap 11847 115 104
--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(115,104)
CppScriptMgr:NpcCallOut("Orphee`s wife, Eurydice, is a vibrant woman who loves nature very much.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("One day, she was bitten hard by a viper and fell down immediately. By the time Orphee arrived, Eurydice had been poisoned and was not breathing. Orphee`s heart was broken into pieces.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Orphee took out his golden harp, and played a song with grief, hoping that the magical sound could wake his wife up, but nothing happened.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetLightScreen(1500)
local Player_1=CppScriptMgr:AddSimplePlayer(1062497,115,104,"[Orphee`s Beloved]\n    Eurydice",0,0)
local Effect_4=CppScriptMgr:AddEffect("NEW-flower-charm1",115,104,33)
Player_1:SetZoomPercent(150)
local Player_2=CppScriptMgr:AddPlayer(258,115,117,"Viper",0,0)
Player_1:SetAction(10)
Player_2:SetDir(4)
local Effect_1=CppScriptMgr:AddEffect("zero8196730",115,104,33)
Player_2:RunTo(115,107)
CppScriptMgr:WaitMilSec(3000)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:ClearEffect(Effect_4)
CppScriptMgr:ClearEffect(Effect_1)
Player_1:Say("Ahh...",1000)
CppScriptMgr:NpcCallOut("Ahh!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npcQiXiOldk",150,430,"Eurydice",250,655)
Player_1:SetAction(330)
local Effect_6=CppScriptMgr:AddEffect("none8196340",115,104,33)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(271)
Player_1:SetFrameInterval(1000000000)
Player_2:RunTo(125,107)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(1000)
local Effect_2=CppScriptMgr:AddEffect("zf2-e236",117,100,33)
CppScriptMgr:WaitMilSec(1000)
local Player_3=CppScriptMgr:AddSimplePlayer(1055781,117,100,"[God of Sun`s Child] \n    Orphee",0,0)
Player_3:AddPartEffect("_p_24_2022qx2_close",7,33)
Player_3:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1000)
local Effect_5=CppScriptMgr:AddEffect("ty_ymz",110,100,33)
Effect_5:Scale(2,2,2)
Player_3:SetAction(220)
Player_3:SetFrameInterval(1000)
Player_3:Say("No! Eurydice! Don`t leave me!",1000)
CppScriptMgr:NpcCallOut("No! Eurydice! Don`t leave me!",3000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Eurydice",250,655)
CppScriptMgr:WaitMilSec(3000)
